import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  apiKey: z.string(),
  aiEnabled: z.boolean().optional(),
  openAiKey: z.string().optional(),
  openAiEnabled: z.boolean().optional(),
  claudeAiKey: z.string().optional(),
  claudeAiEnabled: z.boolean().optional(),
  claudeAiModel: z.string().optional(),
  openAiModel: z.string().optional(),
  googleAiModel: z.string().optional(),
  dentalMgmtKey: z.string().optional(),
  dentalMgmtEnabled: z.boolean().optional(),
  afterHoursEnabled: z.boolean().optional(),
  openPhoneReply: z.boolean().optional()
}).strict();
export const AiSettingsCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.AiSettingsCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsCreateWithoutUserInput>;
export const AiSettingsCreateWithoutUserInputObjectZodSchema = makeSchema();
